Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>
Summary:   	software simulator for Microchip(TM) PIC microcontrollers
Name:      	gpsim
Version:   	0.22.0
Release:   	1
License: 	GNU/GPL
URL:		http://www.dattalo.com/gnupic/gpsim.html
Group:     	Development/PIC
Source0: 	%{name}-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:  libX11-devel libXext-devel
BuildRequires:  glibc-devel
BuildRequires:  atk-devel
BuildRequires:  cairo-devel
BuildRequires:  expat-devel
BuildRequires:  fontconfig-devel
BuildRequires:  freetype-devel
BuildRequires:  gdk-pixbuf-devel
BuildRequires:  glib-devel
BuildRequires:  gtk2+-devel
BuildRequires:  gtkextra2-devel
BuildRequires:  ncurses-devel
BuildRequires:  pango-devel
BuildRequires:  libpng-devel
BuildRequires:  popt
BuildRequires:  readline-devel
BuildRequires:  libstdc++-devel
BuildRequires:  zlib-devel


%description
gpsim is a full-featured software simulator for Microchip PIC microcontrollers.
gpsim has been designed to be as accurate as possible. Accuracy includes the entire PIC - from the core to the I/O pins and including ALL of the internal peripherals. Thus it's possible to create stimuli and tie them to the I/O pins and test the PIC the same PIC the same way you would in the real world. 
gpsim has been designed to be as fast as possible. Real time simulation speeds of 20Mhz pics are possible. ( A 'goto $' program runs at the same speed as a 25Mhz pic when simulated on my 400Mhz PII Linux Box. Of course, as you add stimuli and begin interacting with peripherals, the performance drops. But it's still fast!) 
gpsim has been designed to be as useful as possible. (At least that's the intent - honest.) The standard simulation paradigm including breakpoints, single stepping, disassembling, memory inspect & change, and so on has been implemented. In addition, gpsim supports many debugging features that are only available with in-circuit emulators. For example, a continuous trace buffer tracks every action of the simulator (whether you want it or not). Also, it's possible to set read and write break points on values (e.g. break if a specific value is read from or written to a register).

%package devel
Summary:        %{name} development headers.
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.


%post
ldconfig

%postun
ldconfig


%prep
%setup -n %{name}-%{version}


%build
./configure 	--prefix=%_prefix \
		--mandir=%_mandir 

make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%_bindir
%_libdir/*.so.*

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/*.so
%_libdir/*.la
%_libdir/*.a

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Feb 26 2007 Stefan Gottwald <gotti@ccux-linux.de> 0.22.0-1
- version update
* Sun Jun 11 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.21.11-1
- Initial Release
